#pragma once

#define		CRC32_POLY		0xEDB88320L
#define		CRC32_START		0xFFFFFFFFL

#include "vdef.h"

namespace vCommon
{
	//-----------------------------------------------------------------------------
	//	CRC32
	class crc32
	{
	public:
		static const int crcSize = 4;
		static u32 crc_32 ( byte* buf, int offset, int size );

		static bool crc_tab_init;
		static void init_crc32_tab ( void );
		static u32 crc_tab32 [ 256 ];
	};

} /* namespace vCommon */
